manifestVersion: "0.0.1"
id: libre-relay
implements:
  - bitcoin
category: bitcoin
name: Libre Relay
version: "28.0-patch.1"
tagline: Запустите свой личный узел на базе Libre Relay
description: >-
  > «[Bitcoin] пользуется тем, что информацию легко распространить, но трудно подавить». - Сатоши Накамото
  
  
  Хотя политика мемпула Bitcoin Core с годами была ослаблена, все еще сохраняется некоторый патернализм в отношении того, какие типы транзакций разрешены Bitcoin Core. Например, Bitcoin Core поддерживает бессмысленное ограничение размера OP_Return, хотя это всего лишь один из многих способов публикации данных в транзакциях Bitcoin; Libre Relay этого не делает. Кроме того, на Core постоянно оказывалось давление с целью блокировать больше типов транзакций по разным причинам, например, из-за цензуры «спама».
  
  
  Libre Relay — это форк Bitcoin Core, который выполняет две функции:
    - Удаляет патерналистскую фильтрацию транзакций.
    - Одноранговые узлы с другими узлами Libre Relay, чтобы гарантировать, что транзакции, которые были бы заблокированы Core, в любом случае могут достичь таких майнеров, как F2Pool и MARA.
  
  Хотя это, конечно, хорошо для людей, чьи транзакции блокируются Core, это также хорошо и для самого Core: имея альтернативу, когда люди пытаются заставить Core заблокировать больше транзакций, Core всегда может указать, что цензура не работает.
  
  
  Наконец, Libre Relay также используется для разработки «Replace-By-Fee-Rate», решения для закрепления транзакций, которое простым и эффективным способом смягчает закрепляющие атаки на протоколы L2.
developer: Peter Todd
website: https://dfwebos.com
dependencies: []
repo: https://github.com/petertodd/bitcoin
support: https://github.com/petertodd/bitcoin/issues
port: 2108
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
defaultPassword: ""
releaseNotes: >-
  Это обновление добавляет поддержку резервного копирования в DFWebOS 1.5.
widgets:
  - id: "stats"
    type: "four-stats"
    refresh: "5s"
    endpoint: "server:3005/v1/bitcoind/widgets/stats"
    link: ""
    example:
      type: "four-stats"
      link: ""
      items:
        - title: "Connections"
          text: "11"
          subtext: "peers"
        - title: "Mempool"
          text: "257"
          subtext: "MB"
        - title: "Hashrate"
          text: "590"
          subtext: "EH/s"
        - title: "Blockchain size"
          text: "600"
          subtext: "GB"
  - id: "sync"
    type: "text-with-progress"
    refresh: "2s"
    endpoint: "server:3005/v1/bitcoind/widgets/sync"
    link: ""
    example:
      type: "text-with-progress"
      link: ""
      title: "Blockchain sync"
      text: "83%"
      progressLabel: "In progress"
      progress: 0.83
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
backupIgnore:
  - data/bitcoin/blocks
  - data/bitcoin/chainstate
  - data/bitcoin/indexes
  - data/bitcoin/testnet3/blocks
  - data/bitcoin/testnet3/chainstate
  - data/bitcoin/testnet3/indexes
  - data/bitcoin/testnet4/blocks
  - data/bitcoin/testnet4/chainstate
  - data/bitcoin/testnet4/indexes
  - data/bitcoin/signet/blocks
  - data/bitcoin/signet/chainstate
  - data/bitcoin/signet/indexes
  - data/bitcoin/regtest/blocks
  - data/bitcoin/regtest/chainstate
  - data/bitcoin/regtest/indexes
